it-swarm.com.de

ffmpeg: Fehler beim Laden der gemeinsam genutzten Bibliotheken: libass.so.5

Ich verwende youtube-dl auf dem Ubuntu 16.04-Desktop, um ein Video abzurufen. Nach dem Herunterladen der Audio- und Videodateien schlägt dies mit der folgenden Fehlermeldung fehl:

ERROR: ffmpeg: error while loading shared libraries: libass.so.5: cannot open shared object file: No such file or directory

Wenn ich jedoch renne:

Sudo apt-get install libass5

Ich erhalte folgende Ausgabe:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
libass5 is already the newest version (0.13.6-1~xenial1).

Was muss ich sonst noch tun?

2
Programster

Es sieht so aus, als ob ffmpeg eine Bibliothek aufruft, für die Sie eine neuere Version haben, aber immer noch libass5.

Erstellen eines Symlinks, der die Bibliotheksdatei verknüpft ffmpeg sucht nach der Datei, die Sie haben.

cd /usr/lib/x86_64-linux-gnu
Sudo ln -s libass.so.9 libass.so.5
4
user508889